Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class Gensym

    java.lang.Object
      ix.util.Gensym

    public class Gensym

extends java.lang.Object

Name and ID generator a la gensym.

Relevant parameters:

allow-random-device=boolean
  Use /dev/random, if it exists
use-long-ids=boolean
use-hash-ids=boolean

See Also:
  `Parameters`

Nested Class Summary
`static class` | `Gensym.Generator` A name and ID generator.

Method Summary
`static Gensym.Generator` | `getDefaultGenerator()`
`static void` | `main(java.lang.String[] argv)` For testing.
`static Name` | `nextName(java.lang.String base)` Calls the default generator's method `Gensym.Generator.nextName(String)`.
`static Symbol` | `nextNewSymbol(java.lang.String base)` Calls the default generator's method `Gensym.Generator.nextNewSymbol(String)`.
`static java.lang.String` | `nextString(java.lang.String base)` Calls the default generator's method `Gensym.Generator.nextString(String)`.
`static Symbol` | `nextSymbol(java.lang.String base)` Calls the default generator's method `Gensym.Generator.nextSymbol(String)`.
`static void` | `setDefaultGenerator(Gensym.Generator g)`
`static void` | `useUniquePrefix()` Calls the default generator's method `Gensym.Generator.useUniquePrefix()`.
`static boolean` | `usingUniquePrefix()` Calls the default generator's method `Gensym.Generator.usingUniquePrefix()`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDefaultGenerator

    public static Gensym.Generator getDefaultGenerator()

### setDefaultGenerator

    public static void setDefaultGenerator(Gensym.Generator g)

### useUniquePrefix

    public static void useUniquePrefix()

  Calls the default generator's method `Gensym.Generator.useUniquePrefix()`.

### usingUniquePrefix

    public static boolean usingUniquePrefix()

  Calls the default generator's method `Gensym.Generator.usingUniquePrefix()`.

### nextString

    public static java.lang.String nextString(java.lang.String base)

  Calls the default generator's method `Gensym.Generator.nextString(String)`.

### nextName

    public static Name nextName(java.lang.String base)

  Calls the default generator's method `Gensym.Generator.nextName(String)`.

### nextSymbol

    public static Symbol nextSymbol(java.lang.String base)

  Calls the default generator's method `Gensym.Generator.nextSymbol(String)`.

### nextNewSymbol

    public static Symbol nextNewSymbol(java.lang.String base)

  Calls the default generator's method `Gensym.Generator.nextNewSymbol(String)`.

  Remember that the base string might be one that results in an instance of a subclass of Symbol such as `Keyword` or `ItemVar`.

### main

    public static void main(java.lang.String[] argv)

  For testing.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD